POST
/
v1
/
t2a
/
async
curl --request POST \
  --url https://geoff.ai/api/v1/t2a/async \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "text": "Long-form text content to convert to speech...",
    "voice_id": "default",
    "format": "mp3"
  }'
{
  "data": {
    "task_id": "task_abc123",
    "status": "processing"
  },
  "trace_id": "04ede0ab069fb1ba8be5156a24b1e081"
}

Authorization

Authorization
string
required
Bearer token. Bearer API_key.

Request Body

text
string
required
The text to convert to speech.
voice_id
string
Voice identifier. Default: default.
format
string
Output format: mp3, wav, ogg. Default: mp3.
sample_rate
integer
Sample rate in Hz. Default: 44100.
curl --request POST \
  --url https://geoff.ai/api/v1/t2a/async \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "text": "Long-form text content to convert to speech...",
    "voice_id": "default",
    "format": "mp3"
  }'
{
  "data": {
    "task_id": "task_abc123",
    "status": "processing"
  },
  "trace_id": "04ede0ab069fb1ba8be5156a24b1e081"
}